aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rw-r--r--scripts/kconfig/lxdialog/check-lxdialog.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/scripts/kconfig/lxdialog/check-lxdialog.sh b/scripts/kconfig/lxdialog/check-lxdialog.sh
index 62e1e02126e6..5552154cbedb 100644
--- a/scripts/kconfig/lxdialog/check-lxdialog.sh
+++ b/scripts/kconfig/lxdialog/check-lxdialog.sh
@@ -36,8 +36,10 @@ trap "rm -f $tmp" 0 1 2 3 15
36 36
37# Check if we can link to ncurses 37# Check if we can link to ncurses
38check() { 38check() {
39 echo -e " #include CURSES_LOC \n main() {}" | 39 $cc -xc - -o $tmp 2>/dev/null <<'EOF'
40 $cc -xc - -o $tmp 2> /dev/null 40#include CURSES_LOC
41main() {}
42EOF
41 if [ $? != 0 ]; then 43 if [ $? != 0 ]; then
42 echo " *** Unable to find the ncurses libraries or the" 1>&2 44 echo " *** Unable to find the ncurses libraries or the" 1>&2
43 echo " *** required header files." 1>&2 45 echo " *** required header files." 1>&2